---
lastUpdated: true
aside: true
mermaidTheme: base
title : Kingdom chat
description : Wat is een chat kanaal en hoe gebruik ik deze 
keywords : 'kingdom chat, ultimate, minecraft plugin, spigot plugin, gameplay,handleiding, warp, spawn, beste, commandos, permissies uitleg'
meta_url : 'https://ultimatekingdom.nl'
---

# Kingdom Chat

Je hebt toegang tot verschillende chat-kanalen waarop je een bericht kan achterlaten.
Deze kanalen zijn bereikbaar dmv een prefix. Zo is de prefix van de public een uitproepteken en zal de zin  "!Dit is een test" in de publieke kanaal worden getoont.

De volgende kanalen zijn beschikbaar:


| Naam              | Prefix  | omschrijving                                                 |  
|:-----------------:|:-------:|:-------------------------------------------------------------|
| public            |   !     | publieke kanaal, toegangelijk voor iedereen                  |  
| publicrange       |   *     | zelfde als publieke kanaal, maar nu zit er een chat-range op |  
| kingdom           |   +     | Chat kanaal van de een kingdom                               |  
| allychat          |   >     | Chat kanaal tussen alle vrienden (allies) van je kingdom     |
| groupchat         |   _     | Chat kanaal tussen  kingdom's met dezelfde chat groep        |  
| roleplay          |   #     | Chat kanaal toegankelijk met permissie kingdom.roleplay      |  
| trade             |   $     | Chat kanaal toegankelijk met permissie kingdom.trade         |  
| staff             |   &     | Chat kanaal toegankelijk met permissie kingdom.staff         |  

Je kan ook eigen chat kanalen toevoegen:  [voorbeeld extra chat kanaal ](../ref/channels.md)

::: warning Er moet altijd een kanaal met het type `public` en `kingdom` bestaan.  
:::


## Chat-groep 

Een chat-groep is een groep die aan een kingdom verbonden kan worden. Alle kingdoms die in deze groep zitten ontvangen de alle chat berichten die in dit kanaal worden verstuurt en in dezelfde groep zitten.  

Voor het koppelen van een chat-groep aan een kingdom gebruik je het commando [/k kingdom setchatgroup](kingdoms.md#chat-group-koppelen)

Je kan deze chat-groep in een regio met workdguard [blokkeren.](regions.md#kingdom-chat-vlag) 

## Chat blokkeren in een regio

Zie [regions.](regions.md#kingdom-chat-vlag) 

## Speler voorkeur instellingen

Standaard verstuurt je in de public kanaal, of als je in een kingdom zit, in de kanaal van zijn kingdom. 

Met het onderstaande  commando kan je als speler een channel als voorkeur instellen. Hierdoor hoef je de prefix niet meer te gebruiken.

```ts
/k channel <channel naam>  enable|disable|setdefault|status 
/k channel list     
/k channel reset
```

Je kan ook een kanaal uit of aan zetten zodat je daar geen berichten meer van ontvangt of een lijst op te vragen met voor jou beschikbare kanalen.
Een beheerder van de server heeft de mogelijkheid om het uitschakelen van een kanaal te beperken 

## Kanalen in/uitschakelen 

Met het onderstaande commando  kan een beheerder/mod een chat-kanaal uitzetten,  een speler vast zetten op een kanaal, of een speler voor een bepaalde tijd blokkeren van een kanaal.

Deze instelling wordt naar alle servers verspreid.

```ts
/k setchannel <channelnaam>  enable|disable|status
/k setchannels players <spelersnaam> locking set <channel>
/k setchannels players <spelersnaam> locking unset 
/k setchannels players <spelersnaam> locking status

/k setchannels players <spelersnaam> blocking <channel> set <time>
/k setchannels players <spelersnaam> blocking <channel> unset 
/k setchannels players <spelersnaam> blocking <channel> status
```

## Mod-mode 

Een speler in mod-mode doet niet mee in de kingdom-chat.   
Deze by-pass kan je uitschakelen door in de config.yml van de exchange-plugin de optie : `setmod_chat_bypass`  op false te zetten