---
lastUpdated: true
aside: false
title: Kingdom Plugin informatie
description: Algemene uitleg ultimate kingdom plugin 
meta_url: 'https://ultimatekingdom.nl'
meta_keywords : 'kingdom plugin, minecraft plugin, spigot, paper,folia,gameplay,handleiding, hooks'
---
# Wat is Ultimate kingdom

Ultimate Kingdom is een minecraft kingdom plugin waarmee je de mogelijkheid hebt om verschillende minecraft servers aan elkaar te koppelen door middel van 
onze bungeecord plugin SockExchange en hierdoor één grote kingdom server te maken,  waardoor je met of tegen elkaar kan gaan spelen op meerdere servers. Je kan verschillende minecraft-versie's gebruiken voor de  servers. Alle spawns & waprs zijn over alle servers te bereiken. De chat werkt ook over alle servers heen.

```mermaid
%%{init: {'theme': 'base', 'themeVariables': {
      'primaryColor': '#BB2528',
      'primaryTextColor': '#fff',
      'primaryBorderColor': '#7C0000',
      'lineColor': '#F8B229',
      'secondaryColor': '#006100',
      'tertiaryColor': '#34363a'
   }}}%%
        stateDiagram-v2
           [*] --> BungeeCord
            BungeeCord --> Lobby
            Lobby --> kingdom1
            Lobby --> kingdom2
            Lobby --> kingdom3
            Lobby --> kingdom4
            kingdom1 --> Lobby
            kingdom2 --> Lobby
            kingdom3 --> Lobby
            kingdom4 --> Lobby
```
Onze exchange plugin zorgt ervoor dat alle data van de spelers en kingdoms gelijk blijven op alle minecraft servers en dat spelers makkelijk kunnen wisselen van minecraft server.
Ook het warpen of na de spawn gaan van een kingdom op een server gaat vanzelf. De beheerder kan bepalen welke chat-kanalen over alle servers gaan.


```mermaid
%%{init: {'theme': 'base', 'themeVariables': {
      'primaryColor': '#BB2528',
      'primaryTextColor': '#fff',
      'primaryBorderColor': '#7C0000',
      'lineColor': '#F8B229',
      'secondaryColor': '#006100',
      'tertiaryColor': '#34363a'
   }}}%%
        stateDiagram-v2
            Exchange --> kingdomplugin1
            Exchange --> kingdomplugin2
            Exchange --> kingdomplugin3
            Exchange --> kingdomplugin4
            kingdomplugin1 --> SockExchange
            kingdomplugin2 --> SockExchange
            kingdomplugin3 --> SockExchange
            kingdomplugin4 --> SockExchange
```

### Beschikbaarheid en functies

UltimateKingdom is beschikbaar vanaf minecraft versie 1.8.8 t/m 1.20.4 en heeft ondersteuning voor o.a MultiPaper 1.19.2 en Folia waardoor je nog grotere servers kunt maken.

De kingdom plugin heeft o.a. de volgende functie's / optie's:


* custom leave/join/death messages
* chat cooldown
* warp makkelijk naar een andere wereld op een andere server
* chat werkt over alle servers
* Sturen van priveberichten naar een speler op een andere server
* syncronistatie van data over alle verbonden servers
* uitgebreide instellingen wat een kingdom lid mag doen in een regio.
* diverse addons beschikbaar.
* ondersteuning voor folia en multipaper
* en nog veel meer


### Meerdere servers maar één dynmap.

Recorehosting kan van twee verschillende servers één grote dynmap aanbieden. (Alleen flat)
[klik hier voor demo](https://demo.ultimatekingdom.nl)

## Licentie - Gebruik plugin 

Voor het gebruik van onze minecraft kingdom plugin heb je een licentie code nodig van een van de onderstaande hostings.

<div style="margin-left: auto;
            margin-right: auto;
            width: 50%">

<table class="center" >
    <tr>
        <td> <a href="https://recorehosting.com"> <img src="/recore.png" alt="Drawing" style="width: 260px;"/></a> </td>
        <td> <a href="https://xinshosting.com"> <img src="/xinshosting.png" alt="Drawing" style="width: 250px;"/></a> </td>
   <!--     <td> <a href="https://syntexhosting.nl"><img src="/syntex.png" alt="Drawing" style="width: 250px;"/></a> </td>--> 
    </tr>
</table>
</div>

<div style="text-align: center;">
    Huur je meerdere minecraft severs van deze aangesloten hostings?<br> 
    Dan mag je de plugin GRATIS gebruiken.
</div>


<script setup>
import { VPTeamMembers } from 'vitepress/theme'

const website = `
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<svg
   xmlns:dc="http://purl.org/dc/elements/1.1/"
   xmlns:cc="http://creativecommons.org/ns#"
   xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
   xmlns:svg="http://www.w3.org/2000/svg"
   xmlns="http://www.w3.org/2000/svg"
   xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
   xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
   viewbox="0 0 420 420"
   id="svg2"
   version="1.1"
   inkscape:version="0.48.4 r9939"
   sodipodi:docname="Globe_icon.svg">
  <metadata
     id="metadata10">
    <rdf:RDF>
      <cc:Work
         rdf:about="">
        <dc:format>image/svg+xml</dc:format>
        <dc:type
           rdf:resource="http://purl.org/dc/dcmitype/StillImage" />
      </cc:Work>
    </rdf:RDF>
  </metadata>
  <defs
     id="defs8" />
  <sodipodi:namedview
     pagecolor="#ffffff"
     bordercolor="#666666"
     borderopacity="1"
     objecttolerance="10"
     gridtolerance="10"
     guidetolerance="10"
     inkscape:pageopacity="0"
     inkscape:pageshadow="2"
     inkscape:window-width="1366"
     inkscape:window-height="705"
     id="namedview6"
     showgrid="false"
     inkscape:zoom="0.79465332"
     inkscape:cx="264.12085"
     inkscape:cy="85.913893"
     inkscape:window-x="-8"
     inkscape:window-y="-8"
     inkscape:window-maximized="1"
     inkscape:current-layer="svg2" />
  <path
     id="path3822"
     style="fill:none;stroke:currentColor;stroke-width:20;stroke-miterlimit:4;stroke-opacity:1;stroke-dasharray:none"
     d="m 226.19946,16.656571 a 473.96004,333.37897 0 0 1 0,387.232509 M 59,333.21514 a 260,260 0 0 1 302,0 M 197.17143,14.79354 a 477.24462,335.68933 0 0 0 0,389.91607 M 209,15 a 195,195 0 1 0 2,0 z m 1,0 V 405 M 405,210 H 15 M 59,92.669492 a 260,260 0 0 0 302,0 M 361,330" />
</svg>
`;

const members = [
  {
    avatar: 'https://github.com/kiaking.png',
    name: 'test',
    links: [
     { icon: { svg: website }, link: "https://recorehosting.com" }
    ]
  },

 {
    avatar: 'https://github.com/kiaking.png',
    name: 'test',
    sponsor: "https://recorehosting.com", 
    links: [
     { icon: { svg: website }, link: "https://recorehosting.com" }
    ]
  },
]

</script>

## Plugin uitproberen?

Wil je graag de ultieme kingdom plugin uitproberen ?
Voor een kleine thuis server geven wij je twee gratis server-licenties voor 15 spelers op iedere server. 
Op dit ogenblik geven wij geen licenties voor servers die bij andere hostings zitten.  


## Wij zoeken

We zijn nog op zoek naar een aantal vrijwillige testers die die het leuk vinden om een plugin door en door te testen. Ook als je wil je meehelpen met de documentatie, of ons wil ondersteunen in het vertalen van de plugin of website, [neem dan contact met ons op via ons discord kanaal](https://discord.gg/t3sFuDc6xz)
