---
lastUpdated: true
aside: false
title: ChangeLog
description: ChangeLog van de kingdom plugin
meta_keywords : 'kingdom plugin, ultimate, minecraft plugin, spigot plugin, gameplay, addons gratis, commandos, permissies uitleg'
meta_url : 'https://ultimatekingdom.nl'
---

Changelog


::: timeline 2.12.2.1-RC (kingdom)
- bugfix kingdom setprefixedname werkt niet
- verwijderen (voorlopig) van HoloGrapichsDisplay. We onderzoeken nog wat andere ideen hierover.
:::

::: timeline 2.12.1.0-RC (kingdom)
- toevoeging opdracht : /kingdom listprovices  om alle provincies van een kingdom op te vragen
- aanpassing opdracht : /k memberlist kan nu ook gebruikt worden om de leden van een provincie op te vragen
- fix: toevoegen wg-regio kan niet aan priovinces worden gekoppeld.
- fix: province niet zichtbaar via /k info speler
- fix: fout in taalbestand(en)
- fix: provincie kick
- fix: province join/leave
- fix: provincie niet zichtbaar op dynmap.
- fix: mblist mag niet null zijn
:::


::: timeline 2.12.0.1-RC (kingdom)
- bugfix in taal-bestanden
:::

::: timeline 2.12.0.2-RC (exchange,kingdom)
- toevoeging: time commando. Hiermee kan je de tijd op een server aanpassen.
:::

::: timeline 2.11.0.2-RC1 (exchange,kingdom)
- fix: timesync
- fix: spawnmaker wordt niet verwijderd
- fix: warpmarker wordt niet verwijderd
- fix: kingdom-region delete werkt niet.
- toevoegen: bevestiging bij verwijderen van spawn/warp
- fix: warp list opdracht werkt niet
- fix: accept opdracht deels  bruikbaar door niet-mod
:::


::: timeline Dynmap
- Vanaf heden bied recorehosting de mogelijkheid om van twee servers één dynmap te maken zodat je nog beter gebruik kan maken van onze multiserver kingdom plugin - [zie demo ](https://demo.ultimatekingdom.nl)
:::

::: timeline 2.10.0.0-RC1 (exchange,kingdom)
- eerste release versie, dwz dat er geen aanpassingen meer komen die dingen kunnen breken. In deze versie zit ook niet de combat gedeelte. We gaan nu eerst tijd nemen om de bugs uit de bestaande code te halen. Het combat gedeelte komt er in vanaf versie 2.50.x waar we mee bezig gaan zodra we de meeste bugs uit de huidige hebben gehaald. 
- fix: instellen spawn vraagt om bevestiging verwijderen.
- fix: teleport warning  `player moved too quickly!`
- fix: death mmeldingen
:::

::: timeline 2.9.0.0-beta (exchange,kingdom)
- [andere repo](https://repo.recorehosting.com/)
- repo bevat nu ook de javadocs packages.
- packages hebben nu een digitale handtekening
- [andere git](https://git.recorehosting.com/)
:::

::: timeline 2.8.0.0-BETA (kingdom)
- toevoegen  opdrachten: reload, tp, travel, settravel
- aanpassen: bevestiging bij verwijderen warps,spawns.
- toevoegen queued-teleports, queued-runnables, Okaeri Tasker
- eerste test deel voor combat
:::

::: timeline 2.8.0.0-beta (exchange)
- update ivm travel,combat
:::

::: timeline 2.6.0.0-rc3 (kingdom)
- verplaatsen memberlist commando zodat hij voor iedereen te gebruiken is.
- deathmessages prefix verwijderd
:::

::: timeline 2.6.0.0-rc1 (kingdom)
- activeren bluemap koppeling
- diverse aanpassingen van teksten.
:::

::: timeline 2.6.0.0-rc1 (exchange)
- bump
:::

::: timeline 2.6.0.0-SNAPSHOT  (kingdom)
- toevoegen: I18n ondersteuning.
- we gebruiken nu [okaeri Poland Placeholders](https://github.com/OkaeriPoland/okaeri-placeholders)
- aanpassing van placeholders.
- aanpassing van alle teksten, en toevoegen google translate vertalingen van Engels, Frans, Fries, Duits, Spaans.
- metadata wordt nu opgeslagen als JSON String. Nu volledige ondersteuning voor HashMapStringIntegerField, HashMapStringBooleanField en ListField
- chat gedeelte is herschreven, chat event werkt nu zoals het hoort.
- cachedPlayer object is vervangen door KingdomPlayer object.
- aanpassing van player synchronisatie tussen exchange en servers
- toevoegen: speler chat-channel lock
- toevoegen: speler channel block, met timer
- toevoegen: speler taal keuze.
- verwijderen: spelers punten.
- heractiveren: simpele gui met kingdoms
- toevoegen: afk ondersteuning
- herschrijven: vanish ondersteuning
- herschrijven: player online status
:::

::: timeline 1.45.1.10-SNAPSHOT  (Exchange)
- toevoegen platform ondersteuning
- VoliaCity proxy ondersteuning 
:::

::: timeline 1.45.1.10-SNAPSHOT  (kingdom) 
- fix Friendlyfire blokkeerd andere gameplay regels
- fix verkeerde ip wordt aan systeem doorgegeven
- kleine interne aanpassingen
:::

::: timeline 1.45.1.0-SNAPSHOT  (Exchange) 
- geeft nu een melding als de verbinding van een node tot stand komt, of als de verbinding met een node verbroken is
:::

::: timeline 1.45.1.8-SNAPSHOT  (kingdom) 
- betere melding als kingdom-plugin geen verbinding heeft met exchange server.
- fix: 1.20.2/3/4 werkte niet goed
:::

::: timeline 1.45.1.6-SNAPSHOT  (kingdom) 
- diverse kleine aanpassingen in teksten en kleine backport van versie 2.x.x
:::

::: timeline 1.45.1.3-SNAPSHOT  (kingdom) 
- aanpassing nieuwe vlaggen (kingdom-channels,kingdom-chatgroup)
- fix: verkeerde groep gebruikt voor nieuwe vlaggen
- betere logmelding wanneer plugin verkeerde versie gebruikt.
- toevoegen: [worldguard channel-vlag](/guide/regions.md#kingdom-channel-vlag-en-chat-kanalen) voor kingdom chat-groep
::: 

::: timeline 1.45.1.0-SNAPSHOT (kingdom) 
- toevoegen: [worldguard chat-vlag](/guide/regions.md#kingdom-groupchat-vlag-en-chat-groepen) voor kingdom chat-groep
::: 

::: timeline 1.45.0.0-SNAPSHOT (kingdom,exchange) 
- toevoegen: [chat-kanaal](/ref/channels.md) voor kingdom chat-groep
- toevoegen: [command ](/guide/kingdoms.md#chat-group-koppelen) voor koppelen chat-groep aan kingdom.
- toevoegen: [placeholder](/ref/placeholders.md#kingdom-placeholders) voor chat-groep.
- toevoegen: ondersteuning minecraft versie 1.20.3 en 1.20.4
::: 

::: timeline 1.44.3.6-SNAPSHOT (kingdom-plugin)
- fix: de isset(location,flag) werkte niet naar behoren. Nu herkend de plugin de worldguard-vlaggen.
::: 

::: timeline 1.44.3.2-SNAPSHOT (kingdom-plugin)
- fix: Een speler kan een warp verzoek twee keer ingeven. Hierdoor loopt een van de twee verzoeken altijd door ondanks dat de speler aan het lopen is.
::: 

::: timeline 1.44.3.1-SNAPSHOT (kingdom-plugin)
- fix: warp namen niet meer caps afhankelijk
::: 

::: timeline 1.44.3.0-SNAPSHOT (kingdom-plugin)
- KingdomChatEvent wordt nu ook uitgevoerd bij (chat) berichten van een een andere server
::: 

::: timeline 1.44.2.1-SNAPSHOT (kingdom-plugin)
- fix missende metadata 
::: 

::: timeline 1.44.0.2-SNAPSHOT (sockexchange)
- fix : aanpassing benaming kingdom-level
::: 

::: timeline 1.44.0.1-SNAPSHOT (sockexchange)
- fix : veld-lengte van inventory te kort
::: 

::: timeline 1.44.2.0-SNAPSHOT (kingdom-plugin)
- Kingdom inventory ondersteunt nu alle items
::: 

::: timeline 1.44.1.0-SNAPSHOT (kingdom-plugin)
- Kingdom inventory ondersteunt nu: BannerMeta,EnchantmentStorageMeta,AttributeModifiers,Flags,Enchants,Unbreakable,CustomModelData,Lore,DisplayName,LeatherArmorMeta,SpawnEggMeta, rest volgt zsm
::: 

::: timeline 1.44.0.0-SNAPSHOT (sockexchange)
- toevoegen gedeelde kingdom inventory
::: 

::: timeline 1.44.0.0-SNAPSHOT (kingdom-plugin)
- Toevoegen test-versie van de kingdom inventory. Deze versie bevat geen ondersteuning voor blokken met meta-data zoals enchanchments
::: 

::: timeline 1.43.0.0-SNAPSHOT (sockexchange)
 - laad data in aparte thread, hierdoor loopt de bungeecord gewoon door bij opstarten
 - laat geen verbinding van kingdom-plugin toe als alle data nog niet geladen is.
::: 

::: timeline 1.43.0.0-SNAPSHOT (kingdom-plugin)
 - spelers kunnen niet meer inloggen als de data niet in sync is met de exchange server.
   kingdom-plugin krijgt altijd een data sync na inloggen bij de exchange plugin.
::: 

::: timeline 1.42.1.0-SNAPSHOT (sockexchange)
 - altijd verbinding toestaan van beta versie..
::: 

::: timeline 1.42.0.0-SNAPSHOT (kingdom-plugin)
- toevoegen  versie controle op exchange plugin
- fout: dynmap geeft altijd zelfde naam.
:::

::: timeline 1.42.0.0-SNAPSHOT (sockexchange)
 - toevoegen controle op client-versie
::: 

::: timeline 1.41.3.12-SNAPSHOT (sockexchange)
 - fix: nullpointer na verwijderen van spawn. 
::: 

::: timeline 1.41.5.0-SNAPSHOT (kingdom-plugin)
- toevoegen kingdom.modbypass voor kick command
:::

::: timeline 1.41.4.0-SNAPSHOT (kingdom-plugin)
- verwijderen async waarschuwingen
- niet teleporteren als cachedspeler niet gevonden is. fixed een console-error in SockExchange
- toevoegen vansih koppeling voor /k isonline onlinemebers kingdom
- toevoegen essentials vanish voor /k isonline en onlinemembers kingdom
- naar xseries 9.6.1.1
:::

::: timeline 1.41.3.11-SNAPSHOT (sockexchange)
 - kingdomplayer SQL id altijd beschikbaar maken bij een nieuwe speler.
 - interne controle gebruiken om te kijken of een speler online is.
 - online/cached players melding om de 4 minuten
::: 

::: timeline 1.41.3.0-SNAPSHOT (kingdom-plugin)
- toevoegen timeout config-optie exchange plugin
- toevoegen console melding bij exchange timeout 
- hex-kleuren zijn nu te gebruiken in placeholders en in channels,yml
- kingdom callback aangepast naar andere prioriteit en naamgeving
- aanpassing placeholders: allies, neutral, enemies geeft nu 'geen' terug als deze er niet zijn
- spatie tussen de namen van de online/offline spelers
- aanpassing zodat alle kingdom placehoders gebruikt kunnen worden vanuit de kingdomplayer object (kingdomplayer_kingdom_displayname)
:::

::: timeline 1.40.10.0-SNAPSHOT (sockexchange)
 - nullpointer check proxyplayer. fout ligt eigenlijk in kingdomplugin
::: 

::: timeline 1.40.0.9-SNAPSHOT (sockexchange)
 - fix missing console informatie. 
::: 

::: timeline 1.40.0.8-SNAPSHOT (sockexchange)
 - remove lege log melding in console
::: 

::: timeline 1.40.0.7-SNAPSHOT (sockexchange)
 - Deze versie laad niet meer alle spelers in het geheugen.
::: 

::: timeline 1.40.0.6-SNAPSHOT (sockexchange)=
 - de schrijver van luckperms heeft geen rekening gehouden met hoofdletters
   api van  luckperms blijkt geen hoofdletters aan te kunnen en zet deze ook niet om naar bijv kleine letters
   maar accepteert geen hoofdletters  
::: 

::: timeline 1.40.0.6-SNAPSHOT (sockexchange)=
 - remove debug lines
::: 

::: timeline 1.40.0.5-SNAPSHOT (sockexchange)=
  fix spoof melding : cannot find mojang user.
::: 

::: timeline 1.40.0.4-SNAPSHOT (sockexchange)=
  fix player not found
::: 

::: timeline 1.40.0.3-SNAPSHOT (sockexchange)=
   toevoegen reloadkingdom command
 - toevogen 
::: 

::: timeline 1.40.0.2-SNAPSHOT (sockexchange)=
- aanpassing laden van spelers. 
- bij kingdom rename wordt nu ook de prefixname en displayname aangestp
- naam wijzigngen van seplers worden nu herkend
- controle up monajg uuid in database 
::: 

::: timeline 1.40.1.0-SNAPSHOT (sockexchange)
- remove debug lines
- bij kingdom rename wordt nu ook de prefixedname en displayname aangepast. De placeholder wordt niet aangepast
::: 

::: timeline 1.41.2.0-SNAPSHOT (kingdom-plugin)
- we hebben setKingdomEvent setRankEvents weer terug
- toevoegen leave/kick locatie
:::

::: timeline 1.41.1.0-SNAPSHOT (kingdom-plugin)
- revert verwijdering kingdomsetevent en kingdomsetrank event
  deze events draaien op zowel sync als async.  
- nieuw commando : settings. Mogelijkheid tot het instellen van een gezamelijke kick/leave locatie.
- commando listservers werkt nu normaal, spelers en servers zijn zichtbaar
:::

::: timeline 1.41.0.6-SNAPSHOT (kingdom-plugin)
- diverse aanpassingen en bugfixes.
- tijdelijk verwijderen van de events kingdomsetevent, kingdomsetrankevent
:::

::: timeline 1.41.0.3-SNAPSHOT (kingdom-plugin)
 - fix warp teksten niet verzonden naar speler 
 - fix spawn teksten niet verzonden naar speler
 - fix /k join command teleporteert speler nu naar kingdom spawn
 - fix KingdomLocation.get() nullpointers in teksten van warp en spawn
:::

::: timeline 1.41.0.2-SNAPSHOT (kingdom-plugin)
 - /k info werkt met offline players
 - bij ophalen van kingdomplayer controleren op local kingdomplayer
 - fix: dynmap region placeholders hebben zelfde informatie
 - fix: geen nummers gebruiken in package naam
 - fix: setdynmap command alleen beschikbaar als dynmap geinstaleerd is
 - toevoegen: spawnicon aan setdynmap
 - toevoegen: warpicon aan setdynmap
:::

::: timeline 1.41.0.1-SNAPSHOT (kingdom-plugin)
 - /k info werkt met offline players
 - bij ophalen van kingdomplayer controleren op local kingdomplayer
 - fix: dynmap region placeholders hebben zelfde informatie
 - fix: geen nummers gebruiken in package naam
 - fix: setdynmap command alleen beschikbaar als dynmap geinstaleerd is
 - toevoegen: spawnicon aan setdynmap
 - toevoegen: warpicon aan setdynmap
:::

::: timeline 1.41.0.0-SNAPSHOT (kingdom-plugin)
 - /k set werkt nu ook vanuit console
 - /k set werkt nu ook met offline spelers
    de offline spelers worden niet getoont in tab-complete
 -  aanpassing api ivm zoeken offline players
 -  CommandSource#isMod ziet nu console als mod-user. Hierdoor is /k kingdom create te gebruiken in console
:::

::: timeline 1.41.0.0-SNAPSHOT (exchange-plugin)
 -  aanpassingen ivm laden van alle kingdomPlayers in geheugen.
 -  naamwijzigingen van spelers worden nu herkend
 -  controle op UUID bij mojang en UUID in database
:::

::: timeline 1.40.2.0-SNAPSHOT (kingdom-plugin)
 - fix setrank werkt net async
 - toevoegen foutmelding als speler naar een server wil die offline is.
 - /k kick werkt nu ook met offline spelers
 - /k setrank werkt nu ook vanuit console
 - /k setrank werkt voor offline spelers
 - /k setlevel werkt u ook vanuit console.
:::


::: timeline 1.40.1.0-SNAPSHOT (kingdom-plugin)
 - fix: death message geeft unknown key
 - /k setrank kan nu voor alle servers worden gebruikt
 - /k setlevel kan voor alle spelers op alle servers
 - nieuw commando [/k setdynmap ](/hooks/dynmap.md#instellen-per-kingdom)
:::

::: timeline 1.40.0.0-SNAPSHOT (kingdom-plugin)
- fix: bluemap java 17 class wordt niet meer geladen.
- fix /k kick  async setEvent
- toevoegen: alias voor /k info
- placeholder kingdomplayer_kingdomlevel geeft nu level displayname terug 
- toevoegen playerDeathMessageEvent. Event voor als de speler dood gaat maar niet door een andere speler 
- toevoegen interne placeholders zombie_death,FIRE_TICK 
- toevoegen interne placeholders aan andere dood meldingen death_fall, death_poision ,death_melting
- toevoegen namen van spelers aan kingdom object. 
:::

::: timeline 1.40.0.0-SNAPSHOT (sockexchange)
- toevoegen namen van spelers aan kingdom object
::: 

::: timeline 1.39.0.1-SNAPSHOT (kingdom-plugin)
- HotFix: /k set geeft fout door niet async event
- HotFix: Chat listener werkt niet meer
:::

::: timeline 1.39.0.0-SNAPSHOT (kingdom-plugin)
- blokkering van join/leave messages als speler gebruikt maakt van /k server,warp,spawn. 
- toevoegen: version check en waarschuwing voor nieuwe versie
- toevoegen kingdomplayer_kingdomtotalMembers (nieuwe placeholder)
- verbetering : /k invite werkt voor alle spelers op alle server.
- aanpassing  : /k invite retract is naar een eigen commando, hierdoor is /k invite spelernaam weer te gebruiken
- verbetering : /k set werkt voor alle spelers op alle servers
- verbetering : /k set werkt voor vanuit console
- verbetering : /k list werkt nu ook vanuit console
- verbetering : /k kick werkt nu ook vanuit console
- verbetering : /k kick werkt voor alle spelers op alle servers
- verwijder van chatcolors in console bij de chat van een andere server
- fix: listeners respecteren niet ge-annnuleerde events.
- fix: CachedPlayers worden aangemeld en dan weer verwijderd. Hierdoor is de speler een tijdje niet aanwezig
- fix: worldguardwrapper geeft nu bij een poly de points als List terug waardoor de volgorde bewaard blijft zoals in worldguard zelf
- fix: html info dynmap onbrak voor de kingdom zelf.
- fix: itemuse doet niets in gameplay.yml , spelers kunnen alles gebruiken
- fix: KingdomLocation.class toString nullpointer fix.  Dit brak o.a. teporteren naar andere server
- fix: kingdom wordt niet gevonden door een typo met Long/long
- fix: nullpointer fout bij regions, als kingdom niet gevonden is. (zie long hierboven)
- fix: chat heeft nullpointer omdat speler te laat als CachedPlayer aanwezig is, deze omgezet naar LocalPlayers
- aanpassing: lifetime CachedServes en CachedPlayers is aangepast.
- toevoeging: waarschuwing als CachedServers null is
- toevoeging: minecraft 1.20.2 support
::: 

::: timeline 1.39.0.0-SNAPSHOT (sockexchange)
- aanpassing in data-afhandeling bij cachedPlayers
- fout in het geven van permissies. Default-Rank wordt niet goed gevonden. Hierdoor konden spelers hun permissies verliezen
::: 

::: timeline 1.38.4.4-SNAPSHOT (kingdom-plugin)
- fix chat niet goed weergegeven op andere servers
- fix error bij instellen max-aantal spelers
::: 


::: timeline 1.38.4.3-SNAPSHOT (kingdom-plugin)
- verwijderen van debug lines
::: 

::: timeline 1.38.4.2-SNAPSHOT (kingdom-plugin)
- fix nullpointer in placeholderapihook. Het kan voorkomen dat een speler nog niet geladen is, maar dat er wel placeholders worden opgevraagd. Hierdoor is kingdomplayer null. 
::: 

::: timeline 1.38.4.1-SNAPSHOT (kingdom-plugin)
- fix nullpointer in relations
::: 

::: timeline 1.38.4.0-SNAPSHOT (kingdom-plugin)
- fix fout in gameplay.yml (enemy niet op NONE). 
- fix action executor controleer niet op relaties, maar voert de eerste regel altijd uit.
- fix placeholder relaties totalen worden verkeerd weergegeven 
- aanpassing: Laat eigen kingdom niet zien bij aanpassen relatie's
- toevoegen commando [showrelation](/ref/commands.md#showrelation)
::: 

::: timeline 1.38.2.9-SNAPSHOT (kingdom-plugin)
- fix nullpointers in placeholders
- fix missende controle op kingdom bij friendlyfire
::: 

::: timeline 1.38.2.4-SNAPSHOT (sockexchange-plugin)
- toevoegen console melding bij opstarten:  kingdomlevel/provincelevel/playerlevel totalen 
- hernoemen van bestand procincelevels.yml naar provincelevels.yml
::: 

::: timeline 1.38.2.8-SNAPSHOT (kingdom-plugin)
- remove teleport tekst
- fix nullpointer in placeholder
::: 

::: timeline 1.38.2.7-SNAPSHOT (kingdom-plugin)
-  fix error when teleporting. 
::: 

::: timeline 1.38.2.6-SNAPSHOT (kingdom-plugin)
-  fix serverspawn import not for this world 
::: 

::: timeline 1.38.2.5-SNAPSHOT (kingdom-plugin)
-  verwijder debug
::: 

::: timeline 1.38.2.4-SNAPSHOT (kingdom-plugin)
- bugfix : kan player-level niet verwijderen
- laat defaultlevel zien als er geen level is ingesteld, maar alleen als enable_level in config op true staat
::: 

::: timeline 1.38.2.3-SNAPSHOT (sockexchange-plugin)
- bugfix: toevoegen player-level one-star
::: 

::: timeline 1.38.3.2-SNAPSHOT (kingdom-plugin)
- bugfix: kan geen commando registeren in addon
::: 

::: timeline 1.38.2.2-SNAPSHOT (sockexchange-plugin)
- bugfix: player-level aantal klopt niet, hierdoor ontstaat er een een fout  in console
::: 

::: timeline 1.38.3.1-SNAPSHOT (kingdom-plugin)
- BugFix Er zijn geen kleuren te gebruiken bij setdisplayname/setplaceholder/setprefixedname
::: 

::: timeline 1.38.3.0-SNAPSHOT (kingdom-plugin)
- Toevoegen kingdom setEvent
- verwijderen prefix bij Kingdom join/leave berichten
::: 

::: timeline 1.38.2.0-SNAPSHOT (kingdom-plugin)
- Toevoegen events kingdom create-delete-rename
- Toevoegen mogelijkheid om commando kingdom en province te hernoemen
::: 

::: timeline 1.38.1.0-SNAPSHOT (kingdom-plugin)
- kleine aanpassingen in teksten
::: 

::: timeline 1.38.0.0-SNAPSHOT (kingdom-plugin)
- adding provinces
- adding bluemap/dynmap province option 
- adding province join/leave
- adding province region enter/leave messages
::: 


::: timeline 1.37.1.0-SNAPSHOT (kingdom-plugin)
- nice kingdomplayer placeholders
::: 

::: timeline 1.37.0.0-SNAPSHOT (kingdom-plugin)
-  bugfix player metadata
-  toevoegen [server metatdata](/API.md#gegevens-opslaan)
-  toevoegen [worldguard flags](/ref/worldguard.md)
-  toevoegen [dynmap & bluemap html-windows als bestand](/hooks/bluemap.md)
::: 

::: timeline 1.36.0.0-SNAPSHOT (kingdom-plugin)
- toevoegen [kingdom status](/guide/kingdoms.md#kingdom-status)
::: 

::: timeline 1.35.1.0-SNAPSHOT (kingdom-plugin)
- added [bluemap support](/hooks/bluemap.md) 
::: 

::: timeline 1.35.0.1-SNAPSHOT (kingdom-plugin)
- bugfix status
::: 

::: timeline 1.35.0.0-SNAPSHOT (kingdom-plugin)
- status, remove dynmap van kingdomlevel
::: 

::: timeline 1.35.0.0-SNAPSHOT (kingdom-plugin)
- status, remove dynmap van kingdomlevel
::: 

::: timeline 1.34.0.0-SNAPSHOT (kingdom-plugin)
- niet vrijgegeven

::: 
::: timeline 1.33.1.0-SNAPSHOT (kingdom-plugin)
- Nicer placeholders
::: 

::: timeline 1.33.0.0-SNAPSHOT (kingdom-plugin)
- we gaan naar SNAPSHOT. Er worden geen aanpassing gemaakt die api kunnen breken.  
- toevoegen worldguardwrapper  
- verwijderen shared  
::: 

::: timeline 1.33.0.0-BETA (kingdom-plugin)
- fix alert message format  
- toevoegen kromme google vertaling 
- fix missende commandos op help pagina 
- blokkeer playeronly commando's voor console 
- fix command ranks laat alleen default rankgroup zien  
- i18n 
- adding dynmap 
:::

::: timeline 1.32.0.0-BETA (kingdom-plugin)
- bugfixes
- aanpassen listeners en aanpassing api voor setpoints  
:::

::: timeline 1.31.0.0-BETA (kingdom-plugin)
- toevoegen player levels  
- toevoegen AutoRank hook  
- fix Action/Attack executor  
- diverse andere bugfixes  
:::

:::timeline 1.30.2.0-BETA (kingdom-plugin)
- betere synchronistatie van maps  
- toevoegen responsemessage in funtionalinterface  
- reformat code
:::

::: timeline 1.30.1.0-BETA (kingdom-plugin)
- gebruk van enum voor messages  
:::

::: timeline 1.30.0.0-BETA (kingdom-plugin)
- toevoegen kingdom rename  
:::

::: timeline 1.29.0.0-BETA (kingdom-plugin)
- toevoegen kingdom slogan  
- toevoegen kingdom points  
- bugfixes 
:::