---
lastUpdated: true
aside: true
mermaidTheme: base
title : Provincie aanmaken
description : Hoe maak in een provincie aaan
keywords : 'kingdom plugin, ultimate, minecraft plugin, spigot plugin, gameplay,handleiding, warp, spawn, beste, commandos, permissies uitleg'
meta_url : 'https://ultimatekingdom.nl'
---

# Provincie

Een provincie is een een onderdeel van een kingdom en een kingdom kan meerdere provincies hebben. Een koning kan bijvoobeeld een onderdaan de leiding geven van een provincie. 
Je zou bijvoorbeeld als provincie level graafschap of bisdom kunnen gebruiken. 

In dit hoofdstuk lees je alles over het aanmaken/verwijderen en instellen van een provincie met het commando [/k province](../ref/commands.md#province)

Je kan het commando `/k province` in de config.yml aanpassen naar een eigen term.

## Provincie aanmaken

Een provincie kan aangemaakt worden door iedereen die in mod-mode zit.

```ts
/k province create <kingdom> <provincie naam>
```


Er wordt tevens een permissie groep aangemaakt met dezelfde naam.

## Provincie verwijderen

```ts
/k province delete 
```

Met het onderstaande commando kan een speler een provincie verwijderen. 
Er wordt wel om een bevestiging gevraagd (alleen ingame)

## Lid worden van een provincie

Met het onderstaande command kan een speler lid worden van een provincie. Hij moet wel in dezelfde kingdom zitten als de provincie.

```ts
/k province join <provincie naam>

```
## Provincie verlaten

Als een speler een provincie wil verlaten, kan hij het onderstaande command gebruiken.
Bij het verlaten van een kingdom wordt de speler ook uit de provincie gezet.

```ts
/k province leave 
```

## Speler uit een provincie verwijderen.

Met dit commando kan een speler een andere speler uit een provincie verwijderen.  Je kan alleen een speler een provincie zetten als het een provincie is van je eigen kingdom.
Tevens kan je iemand met een hogere rank niet uit een provincie zetten.

Spelers in mod-mode kunnen spelers uit iedere provincie verwijderen.

```ts
/k province kick <spelerNaam> 
```



## Speler in een provincie zetten

Met het onderstaande commando kan een beheerder een speler in een provincie zetten.

```ts
/k province set <spelerNaam> <provincienaam> 
```

## Instellingen
### Display naam
De display naam wordt gebruikt voor het [`/k info <provincie naam>`](../ref/commands.md#info) en in de taalbestand NL.yml
Deze is beschikbaar via de interne placeholders

```ts
/k province setdisplayname <provincie naam> 
```

### Prefixed naam
De prefixed naam wordt gebruikt voor het [`/k info <provincie naam>`](../ref/commands.md#info) en in de taalbestand NL.yml
Deze is beschikbaar via de interne placeholders

```ts
/k province setprefixname <provincie naam> 
```


### PlaceHolders

Deze placeholder wordt ingame niet gebruikt en kan voor eigen doeleinden gebruikt worden

```ts
/k province setplaceholder <provincie naam> 
```

### MaxMembers

Hiermee kan je een limiet zetten op de aantal leden van een provincie.

```ts
/k province setmaxmembers <provincie naam> 
```


### Provincie Level

Een level kan van alles zijn. In dit geval hebben wij als voorbeeld de volgende levels alvast er in gezet: *bisdom,graafschap,hertogdom.*
Je kan een provincie een level geven met het commando [k setlevel](../ref/commands.md#setlevel)

```ts
/k setlevel province set <provincie naam> <level>
/k setlevel province unset <provincie naam>
```

### Provincie koppelen aan WorldGuard

[zie provincie koppelen aan wordguard regio](regions.md)