---
lastUpdated: true
aside: true
mermaidTheme: base
title : Regions
description : Regions 
keywords : 'kingdom plugin, ultimate, minecraft plugin, spigot plugin, gameplay,handleiding, warp, spawn, beste, commandos, permissies uitleg'
meta_url : 'https://ultimatekingdom.nl'
---

# Worldguard regions



## Region koppelen

Je kan een world-guard regio koppelen aan een kingdom. Als een speler het gebied van een kingdom binnen loopt dan krijgt de speler een melding.
Ook onze gameplay module werkt samen met wordguard-regio. Je kan zowel een regio direct aan een kingdom koppelen of ook aan een provincie.
Voor het koppelen of verwijderen van een regio gebruik je het commando


```ts
/k regions add kingdom <kingdom naam> <regio naam>
/k regions add provice <kingdom naam> <regio naam>


/k regions remove kingdom <kingdom naam> <regio naam>
/k regions remove provice <kingdom naam> <regio naam>
``` 

Na het koppelen kan je precies instellen wie, waneer, wat mag doen. Zo kan je instellen dat een enemy helemaal niets mag doen, of alleen een stok als wapen mag gebruiken.
Het is jou server, dus zijn het jou regels. Dit kan je allemaal instellen in de [gameplay.yml.](/ref/gameplay.md) bestand.

## Displaynaam instellen

Met onderstaande commando kan je een extra naam aan een regio geven. Deze naam wordt getoont als bijv de speler de regio binnen gaat.

```ts
/k regions setdisplayname <kingdom naam> <naam>

``` 

##  Gekoppelde regio's inzien.

Met het onderstaande commando kan je alle gekoppelde regio's van een kingdom inzien of
kan je alle gekoppelde regio's bekijken,

```ts
/k regions list <kingdom naam> 
/k regions listall
``` 

## Worldguard vlaggen

De onderstaande worldguard-vlaggen zijn beschikbaar in WorldGuard.


|                naam                |                 omschrijving                     | 
| -----------------------------------|  ----------------------------------------------  |
|    kingdom-nofish                  |  spelers mogen niet vissen (bij enabled)         | 
|    kingdom-nofly                   |  spelers mogen niet vliegen (bij enabled)        | 
|    kingdom-friendlyfire            |  friendly fire (bij enabled)                     | 
|    kingdom-blockallies             |  vrienden kunnen niets doen (bij enabled)        | 
|    kingdom-blockenemies            |  vijanden kunnen niets doen (bij enabled)        | 
|    kingdom-blockneutral            |  kenissen kunnen niets doen (bij enabled)        | 
|    kingdom-pvp                     |  enabled of disabled                             | 
|    kingdom-playerdeathmessages     |  bij enabled geen death-messages                 |
|    kingdom-chatgroup               |  instelbaar chat-kanaal                          |  
|    kingdom-channels                |  alle andere chat-kanalen                        |  



## Kingdom-groupchat vlag en chat-groepen

Met de kingdom-groupchat vlag kan je aangeven dat een bepaalde chat-groep alleen in de regio mag worden gebruikt, of juist niet.

* Voeg de kingdom-groupchat vlag toe aan de regio en zet hem op enabled of disabled.   
* Voeg de chatgroep toe als member van de regio.  

Staat de vlag op de standaard setting?, dan ziet de plugin dit als niet ingesteld.   

voorbeeld: 

```ts
/rg addmember -w wereld regio g:kwebbelkous
``` 

Als de vlag op enabled staat, dan mag alleen de kingdoms met groep `kwebbelkous` de hier de groep-chat gebruiken. alle andere groepen zijn geblokeerd

Als de vlag op disabled staat, worden alle kingdoms met de groep `kwebbelkous` geblokeerd, alle andere groepen zijn toegestaan

Wil je alle groepchat kanalen blokkeren?, gebruik dan de kingdom-channel vlag.


## Kingdom-channel vlag en chat-kanalen

Je kan chat-kanalen blokkeren in een regio.

* Voeg de worldguard kingdom-channel vlag toe aan de regio en zet hem op enabled of disabled.   
* Voeg de kanaal naam uit channels.yml toe als member van de regio.  

Staat de vlag op de standaard setting?, dan ziet de plugin dit als niet ingesteld.   

voorbeeld: 

```ts
/rg addmember -w wereld regio g:roleplay
``` 

Als de vlag op enabled staat, dan mag alleen de kingdoms met chat-kanaal `roleplay` de hier de groep-chat gebruiken. alle andere kanalen zijn geblokeerd

Als de vlag op disabled staat, worden alle kingdoms met de chat-kanaal `roleplay` geblokeerd, alle andere kanalen zijn toegestaan


## WorldPainter Regio's

Je kan met worldpainter een layer aanmaken die een regio voorsteld
Deze layer maak je uit een materiaal die normaal niet voor komt, bijv Wol
Met behulp van de onderstaande commando's kan je een worldpaint regio omzetten naar een WorldGuard regio.


### Detecteren enkele regio.
Soon

### Detecteren meedere regios in een wereld.

Soon