---
lastUpdated: true
aside: false
title: AutoRank en Ultimate Kingdom Plugin
description: Koppeling tussen Ultimate kingdom plugin en AutoRank
meta_keywords: 'kingdom plugin, ultimate, minecraft plugin, spigot ,paper,folia, gameplay, addons gameplay, events'
meta_url: 'https://ultimatekingdom.nl'
---
# AutoRank

[Autorank](https://www.spigotmc.org/resources/autorank.3239/) is een plug-in voor automatische uitvoeren van regels.

## AutoRank Requirements

De onderstaande 'requirements' zijn in autorank toegevoegd.

| Tables                     |                 Omschrijving                  |
| -------------------------  | :-------------------------------------------: | 
| kingdompoints              |  geeft punten van de kingdom van speler        | 
| kingdomplayerpoints        |  geeft punten van speler                      |
| haskingdom                 |  geeft true/false voor kingdom van speler     | 


### Voorbeeld 1

Dit geeft een speler een andere level als de punten van een kingdom 10 zijn

```ts 
Newbie Path:
  prerequisites:
    in group: 
      value: 'Kingdom-loos' //dit ziet de speler als hij niet in een kingdom zit
  requirements:
    haskingdom:  //speler moet lid worden van een kingdom
      value: 'true'
  results:
    command: 
      value: 'k give &p 10'  //geef speler 10 punten 
```

### Voorbeeld 2

Geef de spelerlevel 1 als hij 10 punten heeft.

```ts 
Newbie Path:
  prerequisites:
    in group: 
      value: 'Minder dan 10 punten' # //dit ziet de speler als hij geen 10 punten heeft
  requirements:
    kingdomplayerpoints:   //de puntenaantal van de speler
      value: '10'  //10 punten
  results:
    command: 
      value: 'k setlevel player &p level2' // geef speler een andere level
```
