---
lastUpdated: true
aside: false
title: Dynmap koppeling
description: Koppeling tussen Ultimate kingdom plugin en Dynmap
meta_keywords: 'kingdom plugin, ultimate, dynmap plugin, spigot ,paper,folia, gameplay, addons gameplay, events'
meta_url: 'https://ultimatekingdom.nl'
---
# Dynmap

[Dynmap](https://legacy.curseforge.com/minecraft/bukkit-plugins/dynmap/files/4632182) is een plugin om een minecraft wereld te presenteren in een web-gui


## Koppelingen

De onderstaande koppelingen zijn beschikbaar

| Tables                     |                 Omschrijving                  |
| -------------------------  | :-------------------------------------------: | 
| spawns                     |  laat een kingdom-spawn zien op de dynmap     | 
| warps                      |  laat een kingdom-warp zien op de dynmap      |
| regions                    |  laat een regio zien van een kingdom          | 
| province                   |  laat een provincie zien van een kingdom      | 

De configuratiebestand dynmp.yml wordt aangemaakt als de plugin dynmap geinstalleerd is.   
Hierin kan je diverse dingen instellen zodals kleuren, teksten, lijndikte enz.

De bestanden voor de detail-windows staan in de plugins/ultimatekingdom/dynmap directory.

## Instellen per kingdom


Met de onderstaande commando kan je voor iedere kingdom de dynmap instellingen aanpassen

```ts
/k setdynmap  <kingdon naam> <set> strokeColor <value>
/k setdynmap  <kingdon naam> <set> strokeopacity <value>
/k setdynmap  <kingdon naam> <set> strokeweight <value>
/k setdynmap  <kingdon naam> <set> fillcolor <value>
/k setdynmap  <kingdon naam> <set> fillopacity <value>
/k setdynmap  <kingdon naam> <set> warpicon <value>
/k setdynmap  <kingdon naam> <set> spawnicon <value>

/k dysetdynmapnmap  <kingdon naam> <unset> strokeColor 
/k setdynmap  <kingdon naam> <unset> strokeopacity 
/k setdynmap  <kingdon naam> <unset> strokeweight
/k setdynmap  <kingdon naam> <unset> fillcolor
/k setdynmap  <kingdon naam> <unset> fillopacity 
/k setdynmap  <kingdon naam> <unset> warpicon 
/k setdynmap  <kingdon naam> <unset> spawnicon
```


## Meerdere servers, één dynmap

RecoreHosting heeft voor zijn klanten de mogelijkheid om verschillende dynmaps van verschillende servers samen te voegen tot één grote dynmap (Alleen flat).
Hierdoor lijkt het voor je spelers dat je één grote server hebt. Vraag bij RecoreHosting naar de mogelijkheden en de vereisten.

[klik hier voor demo](https://demo.ultimatekingdom.nl)

